<h1 mat-dialog-title *ngIf="workflow && type == 'abort'">
  Aborting workflow #{{ workflow.id }}
</h1>
<h1 mat-dialog-title *ngIf="workflow && type == 'pause'">
  Pausing workflow #{{ workflow.id }}
</h1>
<h1 mat-dialog-title *ngIf="workflow && type == 'resume'">
  Resuming workflow #{{ workflow.id }}
</h1>
<h1 mat-dialog-title *ngIf="workflow && type == 'stop'">
  Stopping workflow #{{ workflow.id }}
</h1>
<h1 mat-dialog-title *ngIf="workflow && type == 'delete'" class="delete">
  Delete workflow #{{ workflow.id }}
</h1>

<div mat-dialog-content *ngIf="workflow" class="confirm">
  <div *ngIf="type == 'stop'">
    Do you really want to stop this workflow #{{ workflow.id }}?
  </div>
  <div *ngIf="type == 'abort'">
    Do you really want to abort workflow #{{ workflow.id }}?
  </div>
  <div *ngIf="type == 'pause'">
    Do you really want to pause workflow #{{ workflow.id }}?
  </div>
  <div *ngIf="type == 'resume'">
    Do you really want to resume workflow #{{ workflow.id }}?
  </div>
  <div *ngIf="type == 'delete'">
    Do you really want to delete workflow #{{ workflow.id }}?
  </div>
  <div *ngIf="type == 'stop'" class="warning">
    <span>
      <mat-icon color="warn">warning</mat-icon>
    </span>
    <span> You will stop the current workflow.</span>
  </div>
  <div *ngIf="type == 'abort' && forceWorkspaceClean()" class="warning">
    <span>
      <mat-icon color="warn">warning</mat-icon>
    </span>
    <span> Aborting will remove the current worflow files.</span>
  </div>
  <div *ngIf="type == 'delete'" class="warning">
    <span>
      <mat-icon color="warn">warning</mat-icon>
    </span>
    <span> Deleting will irrevocably remove the current workflow.</span>
  </div>
</div>

<div mat-dialog-actions align="end">
  <button mat-button (click)="onNoClick()">
    <mat-icon>clear</mat-icon>
    Cancel
  </button>
  <button mat-raised-button (click)="onClose()" color="warn" cdkFocusInitial>
    <mat-icon>cancel</mat-icon>
    Yes,
    <span *ngIf="type == 'stop'">stop</span>
    <span *ngIf="type == 'abort'">abort</span>
    <span *ngIf="type == 'pause'">pause</span>
    <span *ngIf="type == 'resume'">resume</span>
    <span *ngIf="type == 'delete'">delete</span>
  </button>
</div>
